package com.lovecoding.day03;

public class Test04_SuanShu_LuoJi {
    //逻辑运算符
    public static void main(String[] args) {
        // & |
        int a = 3 ,b = 4 , c = 5;

        System.out.println(a>b & b<c ); // false true  // false
        System.out.println(a<b & b<c ); // true true   // true

        System.out.println(a>b | b<c ); // false true   //true
        System.out.println(a<b | b<c ); // true true   // true
        System.out.println(a>b | b>c ); // false false   // false

        System.out.println(!(a>b));   //false  true
        System.out.println(!(a<b));    //true  false

        System.out.println(a>b ^ b<c ); // false true  // true
        System.out.println(a<b ^ b<c ); // true true   // false

        //短路&&
        //左边出现false 右边不用执行
        //短路||、
        //左边出现true 右边不用执行

        System.out.println("--------------");
        int x = 10;
        int y = 10;
        //System.out.println(x!=y && x-- == 10 ); // false
        System.out.println(x==10 && x-- == 10 ); // false
        System.out.println(x);


        System.out.println(10!=y || y-- == 10 ); // true
        System.out.println(y);

        System.out.println("-----------");
        if (false){
            System.out.println("1");
        }
    }
}
